<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>ML FlaskApp</title>
    <style>
        nav a {
            font-family: cursive;
            color: #d64161;
            font-size: 1.5em;
            margin-left: 50px;
            text-decoration: none;
        }
        h1 {
            font-family: cursive;
            margin-left: 50px;
            text-decoration: none;
        }
        input {
            margin-left: 55px;
            width: 5%;
        }
        button {
            margin-left: 55px;
        }
        p {
            margin-left: 55px;
        }
    </style>
</head>
<body>
    <nav>
        <h1>creational design patterns</h1>
        <a href="{{ url_for('factory_method_form') }}">factory method</a>
        <a href="{{ url_for('abstract_factory_method_form') }}">abstract factory method</a>
        <a href="{{ url_for('builder_method_form') }}">builder method</a>
        <a href="{{ url_for('prototype_method_form') }}">prototype method</a>
        <a href="{{ url_for('singleton_method_form') }}">singleton method</a>
    </nav>
    <nav>
        <h1>structural design patterns</h1>
        <a href="{{ url_for('adapter_method_form') }}">adapter method</a>
    </nav>
    <hr>
    <div class="content">
        {% block content %} {% endblock %}
    </div>
</body>
</html>
